<?php
/*
+-----------------------------------------------------------------------+
Plugin Name: HDavecPrefixe
Version: 2.0-beta2
Description: Permet le nommage des photos en haute dfinition avec un prefixe au choix
Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=274
Author:Didou
Author URI:www.mimamou.fr
+-----------------------------------------------------------------------+
| This program is free software; you can redistribute it and/or modify  |
| it under the terms of the GNU General Public License as published by  |
| the Free Software Foundation                                          |
|                                                                       |
| This program is distributed in the hope that it will be useful, but   |
| WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
| General Public License for more details.                              |
|                                                                       |
| You should have received a copy of the GNU General Public License     |
| along with this program; if not, write to the Free Software           |
| Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
| USA.                                                                  |
+-----------------------------------------------------------------------+
*/


if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
defined('DM_DIR') || define('DM_DIR' , basename(dirname(__FILE__)));
defined('DM_PATH') || define('DM_PATH' , PHPWG_PLUGINS_PATH . DM_DIR . '/');

global $lang;

load_language('plugin.lang', DM_PATH);

function plugin_install($plugin_id, $plugin_version, &$errors) {
	global $prefixeTable;

	list($mysql_version) = mysql_fetch_row(pwg_query('SELECT VERSION();'));

	if (version_compare($mysql_version, '4.1', '<')) {
		array_push($errors, l10n('dl_mysql_version'));
	} 
	else if (version_compare(phpversion(), '5.0.0', '<')) {
		array_push($errors, l10n('dl_php_version'));
	} 
	else {
		$query = '
		  CREATE TABLE IF NOT EXISTS `'.$prefixeTable.'hdavecprefixe` (
			`id_image` mediumint(8) NOT NULL default \'0\',
			`has_high` enum(\'image\',\'zip\') default NULL ,
			`high_filesize` mediumint(9) unsigned,
			PRIMARY KEY  (`id_image`)
		  ) ENGINE=MyISAM COMMENT=\'Gestion des images HD avec prefixe\';
		';
		pwg_query($query);
		$query = '
			INSERT INTO '.CONFIG_TABLE.' 
			VALUES(
				\'hdavecprefixe_prefixe\',
				\'HD-\',
				\'Prefixe pour HDavecPrefixe\'
			)
		;';
		pwg_query($query);
		$query = '
			INSERT INTO '.CONFIG_TABLE.' 
			VALUES(
				\'hdavecprefixe_synchro\',
				\'false\',
				\'Synchro automatique pour HDavecPrefixe\'
			)
		;';
		pwg_query($query);
		
		$query = '
			INSERT INTO '.CONFIG_TABLE.' 
			VALUES(
				\'hdavecprefixe_erreurs\',
				\'false\',
				\'Annulation modifications avant Synchronisation\'
			)
		;';
		pwg_query($query);
	}
}


function plugin_activate($plugin_id, $plugin_version, &$errors) {
}

function plugin_deactivate($plugin_id) {
}


function plugin_uninstall($plugin_id) {

  global $prefixeTable;
  
  $query = '
    DELETE FROM '.CONFIG_TABLE.' 
    WHERE param=\'hdavecprefixe_prefixe\'';
   
  pwg_query($query);
  
  $query = '
    DELETE FROM '.CONFIG_TABLE.' 
    WHERE param=\'hdavecprefixe_synchro\'';
   
  pwg_query($query);
  
  $query = '
    DELETE FROM '.CONFIG_TABLE.' 
    WHERE param=\'hdavecprefixe_erreurs\'';
   
  pwg_query($query);

  $query = 'DROP TABLE IF EXISTS `'.$prefixeTable.'hdavecprefixe`;';

  pwg_query($query);

}

?>
